﻿@{
    ViewData["Title"] = "Home Page";
}
@model HomeVM

<div class="text-center">
    <h1 class="display-4">Valais Booking</h1>
    <p>Enjoy the beauty of the montains !</p>
</div>
<br>
<div class="container w-25" style="background-color:azure;">
    <div class="text-center">
        <h3>Quick research</h3>

        <form asp-action="index">
            <label for="fname">From (date) :</label><br>
            <input type="date" id="datePickerIdStart" name="dateStart" required><br>
            <label for="lname">To (date) :</label><br>
            <input type="date" id="datePickerIdEnd" name="dateEnd" required><br>
            <label for="lname">Location :</label><br>
            <!--Liste déroulante avec les locations existantes dans la BDD-->
            <select id="locations" name="location">
                @foreach (var item in Model.Locations)
                {
                    <option value="@Html.DisplayName(item)">@Html.DisplayName(item)</option>
                }
            </select>
            <br><br>
            <input type="submit" value="Search !">
        </form>
    </div>
    <br />
    <div class="text-center">
        <form asp-action="cancel" asp-controller="reservation">
            <h3>Cancel a reservation</h3>
            <label asp-for="ReservationNb">Reservation number :</label><br>
            <input asp-for="ReservationNb" maxlength="10" required><br>
            <label asp-for="Firstname">Firstname :</label><br>
            <input asp-for="Firstname" required><br>
            <label asp-for="Lastname">Lastname :</label><br>
            <input asp-for="Lastname" required><br>
            <br><br>
            <input type="submit" value="Next">
        </form>
    </div>
</div>

    <script>
        datePickerIdStart.min = new Date().toISOString().split("T")[0];
        datePickerIdEnd.min = new Date().toISOString().split("T")[0];
    </script>
